Fragbite Group AB

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/fragbite-group-ab/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1760313600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://fragbitegroup.com/en/press/fragbite-group-holdings-increased-with-10-25-btc/",
    "holding_balance": 19.75,
    "holding_net_change": 10.25,
    "transaction_value_usd": 1248499.53,
    "average_entry_value_usd": 121804.83,
    "transaction_value_calculated": false
  },
  {
    "date": 1760918400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://fragbitegroup.com/en/press/fragbite-group-holdings-increased-with-5-12-btc/",
    "holding_balance": 24.88,
    "holding_net_change": 5.12,
    "transaction_value_usd": 545291.42,
    "average_entry_value_usd": 106502.23,
    "transaction_value_calculated": false
  },
  {
    "date": 1761264000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://fragbitegroup.com/en/press/fragbite-group-holdings-increased-with-4-btc/",
    "holding_balance": 28.88,
    "holding_net_change": 4.0,
    "transaction_value_usd": 437701.88,
    "average_entry_value_usd": 109425.47,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    28.88
  ],
  [
    1779062400000,
    28.88
  ],
  [
    1779148800000,
    28.88
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2236174.3568
  ],
  [
    1779062400000,
    2222150.5176
  ],
  [
    1779148800000,
    2216829.0888
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 6.06,
    "date": "2026-05-15",
    "high": 6.32,
    "open": 6.26,
    "close": 6.3,
    "volume": 2042
  },
  {
    "low": 6.06,
    "date": "2026-05-18",
    "high": 6.1,
    "open": 6.08,
    "close": 6.06,
    "volume": 1623
  },
  {
    "low": 5.46,
    "date": "2026-05-19",
    "high": 6.26,
    "open": 6.06,
    "close": 6.18,
    "volume": 8183
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -15.11,
  "six_month_return": -39.41,
  "three_month_return": -11.21
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/fragbite-group-ab/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 4.7,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}